Backend API
Create a new custom role for the organization
cURL
curl --request POST \ --url https://api.wacht.dev/organizations/{id}/roles \ --header 'Content-Type: application/x-www-form-urlencoded' \ --cookie session_id= \ --data 'name=Project Manager' \ --data-urlencode permissions%5B0%5D=organization:read \ --data-urlencode permissions%5B1%5D=organization:manage_members
{ "status": 200, "message": "", "data": { "id": "444444444444444444", "organization_id": "123456789012345678", "name": "Admin", "permissions": [ "organization:admin", "organization:manage_members" ], "is_system_role": false, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Session-based authentication using cookies
Organization ID
Role name
2 - 100
"Project Manager"
List of permissions
[ "organization:read", "organization:manage_members"]
Role created successfully
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?